﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web.UI;
using System.Web.UI.WebControls;
using Web.UserControls;

namespace Web
{
    public partial class _Default : Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }

        private void BindDataSource()
        {
            order.Clear();
            order.Add(new Orders("ALFKI","OPEN", 10, 20, 30, 40, 50, 60, 70, 80, 90, 100));
            order.Add(new Orders("ANATR", "OPEN", 15, 25, 35, 45, 55, 65, 75, 85, 95, 105));
            order.Add(new Orders("ANTON", "OPEN", 20, 30, 40, 50, 60, 70, 80, 90, 100, 110));
            order.Add(new Orders("BLONP", "OPEN", 25, 35, 45, 55, 65, 75, 85, 95, 105, 115));
            order.Add(new Orders("BOLID", "OPEN", 30, 40, 50, 60, 70, 80, 90, 100, 110, 120));
            order.Add(new Orders("TARTS", "OPEN", 40, 50, 60, 70, 80, 90, 100, 110, 120, 130));
            order.Add(new Orders("MANOLO", "OPEN", 40, 50, 60, 70, 80, 90, 100, 110, 120, 130));
            order.Add(new Orders("PACO", "OPEN", 40, 50, 60, 70, 80, 90, 100, 110, 120, 130));
            order.Add(new Orders("ANDRES", "OPEN", 40, 50, 60, 70, 80, 90, 100, 110, 120, 130));
            order.Add(new Orders("ROMERO", "OPEN", 40, 50, 60, 70, 80, 90, 100, 110, 120, 130));
            order.Add(new Orders("PACA", "OPEN", 40, 50, 60, 70, 80, 90, 100, 110, 120, 130));

            order.Add(new Orders("AAAA", "CLOSE", 10, 20, 30, 40, 50, 60, 70, 80, 90, 100));
            order.Add(new Orders("BBBBB", "CLOSE", 15, 25, 35, 45, 55, 65, 75, 85, 95, 105));
            order.Add(new Orders("CCCCC", "CLOSE", 20, 30, 40, 50, 60, 70, 80, 90, 100, 110));
            order.Add(new Orders("DDDD", "CLOSE", 25, 35, 45, 55, 65, 75, 85, 95, 105, 115));
            order.Add(new Orders("FFFF", "CLOSE", 30, 40, 50, 60, 70, 80, 90, 100, 110, 120));
            order.Add(new Orders("GGGGG", "CLOSE", 40, 50, 60, 70, 80, 90, 100, 110, 120, 130));

            
        }

        protected void Unnamed_Click(object sender, EventArgs e)
        {
            GenerateReports();
        }

        private void GenerateReports()
        {
            panel.Controls.Clear();

            for (int i = 0; i < 1; i++)
            {
                string status = (i == 0) ? "OPEN" : "CLOSE";
                var uc = (ucDatosInformeResumenMI)LoadControl("~/UserControls/ucDatosInformeResumenMI.ascx");
                uc.ID = "ucDatosInformeResumenMI_" + i;
                //uc.SetDataSource(order, 5, status);
                uc.SetDataSource(order, 5);
                panel.Controls.Add(uc);
            }
        }
    }
}