﻿using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Web
{
    public static class Utils
    {
        public static void AñadirTituloExcel(IWorkbook workbook, int numSheet, string titulo)
        {
            IWorksheet worksheet = workbook.Worksheets[numSheet];

            worksheet.InsertRow(1, 3);
            worksheet.Range["A1"].CellStyle.Font.Bold = true;
            worksheet.Range["A1"].CellStyle.Font.Color = ExcelKnownColors.Blue;
            worksheet.Range["A1"].CellStyle.Font.Size = 18;
            worksheet.Range["A1"].Text = titulo;
        }

        public static void AñadirTituloExcel(IWorksheet worksheet, string titulo)
        {
            worksheet.InsertRow(1, 3);
            worksheet.Range["A1"].CellStyle.Font.Bold = true;
            worksheet.Range["A1"].CellStyle.Font.Color = ExcelKnownColors.Blue;
            worksheet.Range["A1"].CellStyle.Font.Size = 18;
            worksheet.Range["A1"].Text = titulo;
        }

    }
}
